%define		pkg	fstream
Summary:	Advanced file system stream things
Name:		nodejs-%{pkg}
Version:	0.1.22
Release:	1
License:	BSD
Group:		Development/Libraries
URL:		https://github.com/isaacs/fstream
Source0:	http://registry.npmjs.org/fstream/-/%{pkg}-%{version}.tgz
# Source0-md5:	a3cf03908287b638d7465d8f53b607c5
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-graceful-fs < 1.3.0
Requires:	nodejs-graceful-fs >= 1.2.0
Requires:	nodejs-inherits < 1.1.0
Requires:	nodejs-inherits >= 1.0.0
Requires:	nodejs-mkdirp < 0.4
Requires:	nodejs-mkdirp >= 0.3
Requires:	nodejs-rimraf < 3
Requires:	nodejs-rimraf >= 2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Advanced file system stream things.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -pr lib %{pkg}.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Apr 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-fstream.git;a=log;h=master

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> 5334786
Adapterized

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> 5253043
v0.1.22

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> 542e278
- adapter, versioned deps (from package.json)

* Thu Jun 14 2012 Elan Ruusamäe <glen@pld-linux.org> 165b609
- license in package.json is BSD

* Thu Jun 14 2012 Elan Ruusamäe <glen@pld-linux.org> 793b08d
- up to 0.1.18

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> 2b8dded
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo

